### Method

# EDataServer SourceAuthentication set_method

since: 3.6

#### Declaration [src]

    void
    e_source_authentication_set_method (
      ESourceAuthentication* extension,
      const gchar* method
    )

#### Description [src]

Sets the authentication method for a remote account. There are no pre-defined method names; backends are free to set this however they wish. If authentication is not required for a remote account, the convention is to set the method to “none”. In keeping with that convention, `ESourceAuthentication:method` will be set to “none” if `method` is `NULL` or an empty string.

Available since: 3.6

Sets property | `EDataServer.SourceAuthentication:method`

#### Parameters

`method`

  Type: `const gchar*`

  Authentication method, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.